> ## Documentation Index
> Fetch the complete documentation index at: https://docs2.finverse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get income estimate by login identity id

> Retrieve all Accounts under a Login Identity (using a specific login_identity_token). Authorization: login_identity_token



## OpenAPI

````yaml /api-reference/openapi.json get /income
openapi: 3.0.0
info:
  description: Documentation of the early finverse services
  title: Finverse Public
  termsOfService: https://example.com
  contact:
    name: Maintainers
    email: info@finverse.com
  license:
    name: unknown license
  version: 0.0.1
servers:
  - url: https://api.prod.finverse.net
security:
  - Oauth2:
      - test
tags:
  - name: public
    description: Publicly accessible endpoints
    x-group: Public
  - name: customer
    description: Customer app and institution endpoints
    x-group: Customer
  - name: link
    description: Finverse Link flows
    x-group: Link
  - name: login_identity
    description: Login identity lifecycle and metadata
    x-group: Login identity
  - name: accounts
    description: Accounts, balances, and account numbers
    x-group: Accounts
  - name: statements
    description: Statements and composite statements
    x-group: Statements
  - name: transactions
    description: Transaction history
    x-group: Transactions
  - name: identity_income
    description: Identity and income insights
    x-group: Identity & income
  - name: payment_links
    description: Payment link creation and checkout
    x-group: Payment links
  - name: mandates
    description: Direct debit mandates
    x-group: Mandates
  - name: payments
    description: Payment initiation and status
    x-group: Payment operations
  - name: payouts
    description: Payouts and scheduled payouts
    x-group: Payouts
  - name: payment_users
    description: Payment user profiles
    x-group: Payment users
  - name: payment_accounts
    description: Payment accounts for users
    x-group: Payment accounts
  - name: payment_methods
    description: Stored payment methods
    x-group: Payment methods
  - name: bills
    description: Bill presentment
    x-group: Bills
  - name: disputes
    description: Payment disputes
    x-group: Disputes
  - name: ledger
    description: Ledger and statements
    x-group: Ledger
paths:
  /income:
    get:
      tags:
        - identity_income
      summary: Get income estimate by login identity id
      description: >-
        Retrieve all Accounts under a Login Identity (using a specific
        login_identity_token). Authorization: login_identity_token
      operationId: getIncomeEstimateByLoginIdentityId
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IncomeResponse'
              examples:
                success:
                  summary: Success
                  value:
                    income:
                      - income_streams:
                          - account_id: 01FZT16ENH495PJ16WMPC8S87N
                            estimated_monthly_income:
                              amount: 625
                              currency: HKD
                            monthly_history:
                              - estimated_income:
                                  amount: 15000
                                  currency: HKD
                                month: 12
                                year: 2020
                            transaction_count: 1
                          - account_id: 01FZT16ENQT41Z8X19HEWPZTPM
                            estimated_monthly_income:
                              amount: 15.458
                              currency: USD
                            monthly_history:
                              - estimated_income:
                                  amount: 371
                                  currency: USD
                                month: 11
                                year: 2020
                            transaction_count: 2
                          - account_id: 01FZT16ENZ6Z9QC4RSGYK0VRPX
                            estimated_monthly_income:
                              amount: 0.648
                              currency: HKD
                            monthly_history:
                              - estimated_income:
                                  amount: 15.55
                                  currency: HKD
                                month: 9
                                year: 2020
                              - estimated_income:
                                  amount: 0.01
                                  currency: HKD
                                month: 8
                                year: 2020
                            transaction_count: 2
                        income_total:
                          estmated_monthly_income:
                            amount: 641106
                            currency: HKD
                          monthly_history:
                            - estimated_income:
                                amount: 15000
                                currency: HKD
                              month: 12
                              year: 2020
                            - estimated_income:
                                amount: 371
                                currency: USD
                              month: 11
                              year: 2020
                            - estimated_income:
                                amount: 15.55
                                currency: HKD
                              month: 9
                              year: 2020
                            - estimated_income:
                                amount: 0.01
                                currency: HKD
                              month: 8
                              year: 2020
                          transaction_count: 5
                        source: DEPOSITS_ANALYSIS
                    institution:
                      countries:
                        - HKG
                        - SGP
                        - PHL
                      institution_id: testbank
                      institution_name: TestBank HK
                      portal_name: Test Bank Personal Account
                    login_identity:
                      last_session_id: 01FZT16BH6GRHVNE8098M9JFH0
                      login_identity_id: 01FZT16BGSNQMN4T6CJCSY2FDC
                      status: DATA_RETRIEVAL_COMPLETE
        '400':
          description: Invalid Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestModelV2'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestModelV2'
      security:
        - Oauth2:
            - income:get
components:
  schemas:
    IncomeResponse:
      required:
        - income
        - login_identity
        - institution
      properties:
        income:
          type: array
          items:
            $ref: '#/components/schemas/SingleSourceIncome'
        institution:
          $ref: '#/components/schemas/InstitutionShort'
        login_identity:
          $ref: '#/components/schemas/LoginIdentityShort'
    BadRequestModelV2:
      properties:
        error:
          type: object
          required:
            - type
            - code
            - error_code
            - message
            - request_id
          properties:
            code:
              type: integer
              example: 40004
            details:
              type: string
            error_code:
              type: string
              example: CREDENTIALS_INVALID
            message:
              type: string
            request_id:
              description: The request_id provided in the request header
              type: string
            type:
              description: The error type
              type: string
              enum:
                - LINK_ERROR
                - API_ERROR
              example: LINKING_ERROR
    SingleSourceIncome:
      required:
        - income_total
        - income_streams
        - source
        - source_id
      properties:
        income_streams:
          type: array
          items:
            $ref: '#/components/schemas/IncomeStream'
        income_total:
          $ref: '#/components/schemas/IncomeTotal'
        source:
          description: Where the income estimate was sourced from
          type: string
          example: DEPOSITS_ANALYSIS
        source_id:
          description: Unknown
          type: string
    InstitutionShort:
      properties:
        countries:
          type: array
          items:
            type: string
          example:
            - HKG
        institution_id:
          type: string
          example: 123
        institution_name:
          type: string
          example: Mock Bank
        portal_name:
          type: string
          example: Personal Internet Banking
    LoginIdentityShort:
      properties:
        last_session_id:
          type: string
          format: ulid
        login_identity_id:
          type: string
          format: ulid
        status:
          type: string
          example: LINKING
    IncomeStream:
      required:
        - account_id
        - transaction_count
        - monthly_history
      properties:
        account_id:
          description: Account this income estimate is associated with
          type: string
          example: 01ARZ3NDEKTSV4RRFFQ69G5FAV
        estimated_monthly_income:
          $ref: '#/components/schemas/IncomeEstimate'
        monthly_history:
          type: array
          items:
            $ref: '#/components/schemas/MonthlyIncomeEstimate'
        transaction_count:
          description: Number of transactions counted towards income
          type: number
          format: int64
          example: 3
    IncomeTotal:
      required:
        - transaction_count
        - monthly_history
      properties:
        estimated_monthly_income:
          $ref: '#/components/schemas/IncomeEstimate'
        monthly_history:
          type: array
          items:
            $ref: '#/components/schemas/MonthlyIncomeEstimate'
        transaction_count:
          description: Number of transactions counted towards income
          type: number
          format: int64
          example: 3
    IncomeEstimate:
      required:
        - amount
        - currency
      properties:
        amount:
          $ref: '#/components/schemas/FvDecimal'
        currency:
          description: Currency
          type: string
          example: HKD
    MonthlyIncomeEstimate:
      required:
        - estimated_income
        - month
        - year
      properties:
        estimated_income:
          $ref: '#/components/schemas/IncomeEstimate'
        month:
          description: The numeric month
          type: number
          format: int32
          example: 1
        year:
          description: The year
          type: number
          format: int32
          example: 2020
    FvDecimal:
      type: number
      x-go-type:
        embedded: true
        import:
          package: gitlab.com/finverse/gitops/applications/common-go/amount
        type: FvDecimal
  securitySchemes:
    Oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://finverse-dev.us.auth0.com/oauth/token
          scopes:
            account: Account
            balance: Balance
            credit: Credit
            institution: Institution
            investment: Investment
            link: Link
            test: Test
            transaction: Transaction

````